Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87634 - XSetInputFocus errors spewed all over VC1
Summary: XSetInputFocus errors spewed all over VC1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-31 14:24 UTC by Chris Ricker
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-22 01:30:23 UTC


Attachments (Terms of Use)

Description Chris Ricker 2003-03-31 14:24:57 UTC
I just did a fresh install of RHL 9 gold from CD onto a system with a Matrox G400

During the install, the error message

failed on XSetInputFocus()

spewed constantly across VC1

The install seemed to work fine otherwise, though

Comment 1 Michael Fulbright 2003-03-31 21:24:28 UTC
By spewed you mean they come out continuously at a particular rate, or only once
during the install?

Comment 2 Chris Ricker 2003-03-31 21:34:15 UTC
Continuously... The screen wound up looking like

failed on XSetInputFocus()failed on XSetInputFocus()failed on
XSetInputFocus()failed on XSetInputFocus()failed on XSetInputFocus()failed on
XSetInputFocus()failed on XSetInputFocus()failed on XSetInputFocus()failed on
XSetInputFocus()failed on XSetInputFocus()failed on XSetInputFocus()failed on
XSetInputFocus()failed on XSetInputFocus()failed on XSetInputFocus()failed on
XSetInputFocus()failed on XSetInputFocus()failed on XSetInputFocus()failed on
XSetInputFocus()failed on XSetInputFocus()failed on XSetInputFocus()failed on
XSetInputFocus()failed on
<snip>

as they kept appearing....

Comment 3 Chris Ricker 2003-03-31 21:35:30 UTC
Hmm, this system has a serial mouse (Kensington Thinking Mouse -- not made any
more, but still the best mouse in existance ;-). serial instead of ps/2 is the
only unusual hardware feature of the system that I can think of....

Comment 4 Michael Fulbright 2003-04-02 20:21:50 UTC
Could you switch to VC2 (cntl-alt-f2) and type

less /tmp/XF86Config.test

and look through it for anything related to Input devices or mice and let me
know what its configured to use?

You should see something like:

Section "InputDevice"
   Identifier  "Mouse0"
   .
   .
   .
   .
EndSection

If you could give me the stanza in your file that would help.

Comment 5 Michael Fulbright 2003-04-22 16:31:35 UTC
Closing due to inactivity. If you have new information to add please reopen the
issue report.

Comment 6 Chris Ricker 2003-04-25 13:05:49 UTC
It's

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "Microsoft"
        Option      "Device" "/dev/ttyS0"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection
 
Section "InputDevice"
# If the normal CorePointer mouse is not a USB mouse then
# this input device can be used in AlwaysCore mode to let you
# also use USB mice at the same time.
        Identifier  "DevInputMice"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

both before and after I configure it to use the Kensington mouse

Comment 7 Michael Fulbright 2003-05-13 18:42:16 UTC
Mike could you try testing with a serial mouse to see if this problem still occurs?

Comment 8 Tripp Lilley 2003-09-11 00:24:55 UTC
We're having the same problem here with a twitchy sysadmin who clicks too fast.
Basically, the problem has shown up when he clicks in a text field and ends up
sliding the mouse out of the text field (which reveals the little "copy" drag
icon) and letting go, instead of a clean click in the field.

We haven't been able to exactly reproduce the bug (and that's a good thing,
since we're trying to get our install working), but maybe this feedback will help.

Comment 9 Jeremy Katz 2003-10-22 01:30:23 UTC
This shouldn't happen anymore in Fedora test releases.


Note You need to log in before you can comment on or make changes to this bug.